curl --request POST \
--url https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/vendor-credits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"line_items": [
{
"amount": 2,
"sales_taxes": [
{}
],
"expense_account_identifier": "<unknown>",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>",
"tags": [
{}
]
}
],
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_external_id": "<string>",
"source_bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"received_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"amount": 2,
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tags": [
{}
],
"document": {
"file": "<string>",
"document_type": "vendor_credit",
"upload_source": "<string>",
"metadata": "<unknown>",
"tags": "<unknown>"
}
}
'import requests
url = "https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/vendor-credits/"
payload = {
"external_id": "<string>",
"line_items": [
{
"amount": 2,
"sales_taxes": [{}],
"expense_account_identifier": "<unknown>",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>",
"tags": [{}]
}
],
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_external_id": "<string>",
"source_bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"received_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"amount": 2,
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tags": [{}],
"document": {
"file": "<string>",
"document_type": "vendor_credit",
"upload_source": "<string>",
"metadata": "<unknown>",
"tags": "<unknown>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
line_items: [
{
amount: 2,
sales_taxes: [{}],
expense_account_identifier: '<unknown>',
memo: '<string>',
metadata: {},
reference_number: '<string>',
tags: [{}]
}
],
vendor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendor_external_id: '<string>',
source_bill_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
received_at: '2023-11-07T05:31:56Z',
allocations: [{amount: 2, bill_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
tags: [{}],
document: {
file: '<string>',
document_type: 'vendor_credit',
upload_source: '<string>',
metadata: '<unknown>',
tags: '<unknown>'
}
})
};
fetch('https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/vendor-credits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"vendor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"display_name": "<string>"
},
"source_bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line_items": [
{
"amount": 123,
"expense_account_identifier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "AccountId"
},
"tags": [
"<string>"
],
"memo": "<string>",
"metadata": "<unknown>"
}
],
"allocations": [
{
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill_number": "<string>",
"amount_cents": 123,
"bill_outstanding_balance_cents": 123,
"applied_at": "2023-11-07T05:31:56Z"
}
],
"tags": [
{}
],
"total_amount": 123,
"applied_amount": 123,
"document": {
"url": "<string>",
"expires_in": 123,
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"currency": "EUR"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}Create Vendor Credit
Create a vendor credit note with line items and optional allocations. Supports idempotency via external_id and can create vendors on-the-fly using vendor_external_id.
Authorizations
Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>
Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.
Path Parameters
^[0-9a-f-]+$Body
Vendor credit creation serializer with line_items support.
Creates vendor credits with line_items for flexible account allocation.
External system identifier for this vendor credit
1Array of line items for this vendor credit
Show child attributes
Show child attributes
Existing vendor ID to assign credit to
External vendor ID. Will create vendor if not found
Optional bill ID this credit note was created from (origin tracking, not allocation)
When the credit was received (ISO 8601). Defaults to now if provided
Array of bill allocations for this credit
Show child attributes
Show child attributes
Transaction tags for the credit
Show child attributes
Show child attributes
Optional document upload
Show child attributes
Show child attributes
Response
Vendor credit serializer for API responses.
Unique vendor credit identifier
Credit status: draft, received, partially_applied, applied, void (computed from allocations)
When the credit was received
Vendor who issued the credit (inline details)
Show child attributes
Show child attributes
Bill ID this credit was created from (origin tracking, not allocation)
Array of credit line items
Show child attributes
Show child attributes
Array of bill allocations
Show child attributes
Show child attributes
Transaction tags for the credit
Show child attributes
Show child attributes
Total credit amount in cents
Applied credit amount in cents
Latest document linked to this vendor credit
Show child attributes
Show child attributes
Credit creation timestamp
Last update timestamp
Your external system identifier for this credit (used for idempotency)
255Credit currency (e.g., GBP, EUR, USD)
EUR- EuroGBP- British PoundUSD- US DollarSEK- Swedish KronaNOK- Norwegian KroneDKK- Danish KroneISK- Icelandic KrónaMYR- Malaysian RinggitSGD- Singapore Dollar
EUR, GBP, USD, SEK, NOK, DKK, ISK, MYR, SGD Was this page helpful?